## org.biojavax.bio.seq.io
Class FastaHeader

    java.lang.Object
      org.biojavax.bio.seq.io.FastaHeader

    public class FastaHeader

extends Object

This class is used by `FastaFormat` to determine which fields are in the fasta header. By default they all are except for the sequence name. This is for compliance with fasta files that come from Genbank where the name is derived from the accession number so need not be repeated. The class can be used to customise what appears. Eg if you only want the accession set everything else false. Note that if fields in the `RichSequence` being parsed by the `FastaFormat` object then they may not be in the header even if they are specified in this class.

Since:
  1.6
Author:
  Mark Schreiber

Constructor Summary
`FastaHeader()`

Method Summary
`boolean` `isShowAccession()`
`boolean` `isShowDescription()`
`boolean` `isShowIdentifier()`
`boolean` `isShowName()`
`boolean` `isShowNamespace()`
`boolean` `isShowVersion()`
`void` `setShowAccession(boolean showAccession)`
`void` `setShowDescription(boolean showDescription)`
`void` `setShowIdentifier(boolean showIdentifier)`
`void` `setShowName(boolean showName)`
`void` `setShowNamespace(boolean showNamespace)`
`void` `setShowVersion(boolean showVersion)` Determines if the version number of a sequence should be displayed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastaHeader

    public FastaHeader()

Method Detail

### isShowIdentifier

    public boolean isShowIdentifier()

### setShowIdentifier

    public void setShowIdentifier(boolean showIdentifier)

### isShowNamespace

    public boolean isShowNamespace()

### setShowNamespace

    public void setShowNamespace(boolean showNamespace)

### isShowAccession

    public boolean isShowAccession()

### setShowAccession

    public void setShowAccession(boolean showAccession)

### isShowVersion

    public boolean isShowVersion()

### setShowVersion

    public void setShowVersion(boolean showVersion)

  Determines if the version number of a sequence should be displayed. If there is no accession this may not make much sense.

  Parameters:
    `showVersion` -

### isShowName

    public boolean isShowName()

### setShowName

    public void setShowName(boolean showName)

### isShowDescription

    public boolean isShowDescription()

### setShowDescription

    public void setShowDescription(boolean showDescription)